package kinex.demo;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

import kinex.KinectClient;
import kinex.KinectUser;

public class Main {
	
	static String host;
	static int port;
	
	public static void main(String[] args) {
		if(args.length < 2) {
			System.out.println("Usage: java Main host port");
			System.exit(1);
		}
		
		host = args[0];
		
		port = 0;
		try {
			port = Integer.parseInt(args[1]);
		} catch(NumberFormatException e) {
			System.out.println("port must be positive integer");
			System.exit(1);
		}
		
		new Thread() {
			public void run() {
				recieve();
			}
		}.start();
		
		BufferedReader br = new BufferedReader(
			new InputStreamReader(System.in)
		);
		
		while(running) {
			String line = null;
			try {
				line = br.readLine();
			} catch(IOException e) {
				break;
			}
			
			if(line.compareTo("quit") == 0 ||
			   line.compareTo("q")    == 0)
			{
				running = false;
			}
		}
	}
	
	static boolean running = true;
	
	static void recieve()
	{
		KinectClient client = null;
		try {
			client = KinectClient.connect(host, port);
		} catch(Exception e) {
			System.out.println("KinectClient: Failed open connection");
			return;
		}
		
		while(running) {
			KinectUser user = client.getUser(0);
			
			float x, y, z;
			x = user.HandLeft.x;
			y = user.HandLeft.y;
			z = user.HandLeft.z;
			
			System.out.printf("User0 HandLeft: %f %f %f", x, y, z);
			System.out.println();
			
			try {
				Thread.sleep(50);
			} catch(InterruptedException e) {
			}
		}
		
		client.shutdown();
	}
	
}
